Đến nội dung


Hình ảnh
- - - - -

Cần giúp lisp hiện mã màu plot style


  • Please log in to reply
4 replies to this topic

#1 theducw87

theducw87

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 March 2013 - 09:27 PM

Mình hay in bản vẽ nhưng mỗi lần in là mình lại phải bật hộp thoại layer lên để xem mã màu ( từ 1 đến 255 ) plot style của layer. Các bạn có thể giúp mình một cách nào đó hoặc một lisp nào đó mà khi mình kích vào layer nào đấy thì nó sẽ hiện lên mã màu plot style của nó như thông tin trên quick properties.


  • 0

#2 cd2k44

cd2k44

    Edu level: li5

  • Members
  • PipPipPipPipPipPipPip
  • 648 Bài viết
Điểm đánh giá: 121 (tàm tạm)

Đã gửi 17 March 2013 - 10:00 PM

Cái ni đời cad cao có mà.bạn cài cad 2010 vao xem
  • 0

#3 theducw87

theducw87

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 March 2013 - 10:56 PM

Mình đang dùng cad 2013 nhưng nó cũng k hiện rõ màu số bao nhiêu mà chỉ hiện là bylayer thôi. mún biết màu số bao nhiêu phải bật LA lên mới thấy dc.


  • 0

#4 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 18 March 2013 - 08:02 AM

Mình đang dùng cad 2013 nhưng nó cũng k hiện rõ màu số bao nhiêu mà chỉ hiện là bylayer thôi. mún biết màu số bao nhiêu phải bật LA lên mới thấy dc.

(Defun c:XML ( )

                   
(princ "\nChon doi tuong muon xem thuoc tinh")
(setq doituong1 (entsel))
(while
(null doituong1)
(princ "\nChon doi tuong muon xem thuoc tinh")
(setq doituong1 (entsel))
)

(setq doituong (car doituong1))
(setq doituong (entget doituong))


 (setq LAYERDOITUONG (cdr (assoc 8 doituong)))
 (setq COLORDOITUONG (cdr (assoc 62 doituong)))

  (setq TENLOP (TBLOBJNAME "LAYER" LAYERDOITUONG))
  (setq DOCLOP (entget TENLOP))
  (setq MAULOP (cdr (assoc 62 DOCLOP)))

 (Cond
  ((= COLORDOITUONG nill) 
  (setq COLORDOITUONG (strcat "BYLAYER <" (itoa MAULOP) ">"))
  )
  ((/= COLORDOITUONG nill) 
  (setq COLORDOITUONG (itoa COLORDOITUONG))
  )
  )

(alert (strcat 
    "\n -LAYER               : " LAYERDOITUONG
   "\n -COLOR              : " COLORDOITUONG))

(PRINC))

  • 2

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#5 jibber133

jibber133

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 March 2013 - 01:38 PM

các bác cho e hỏi file LISP đấy là j với đc ko ạ, e mới học cad nên vẫn chưa bt đầu đuôi nó thế nào :D :(


  • 0